/*
 * config.h
 * 
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; see the file COPYING.LIB. If
 * not, write to the Free Software Foundation, Inc., 675 Mass Ave,
 * Cambridge, MA 02139, USA.  
 *
 * main configuration file
 */

#ifndef __WFC_CONFIG_H
#define __WFC_CONFIG_H

#include<win32/defines.h>
#include<win32/kernel.h>
#include<win32/nls.h>

#define DEBUG

/* system default language, see include/win32/nls.h */
#define SYSTEM_DEFAULT_LANGUAGE		LANG_ENGLISH
#define SYSTEM_DEFAULT_SUBLANGUAGE	SUBLANG_ENGLISH_US
#define SYSTEM_DEFAULT_SORTORDER	SORT_DEFAULT

/* default distribution prefix */
#define DIST_PREFIX	"/usr/local"

#endif