/*
 * kernel/debug.h
 * Copyright (C) 1996, Onno Hovers, All rights reserved
 */

#ifndef __WFC_DEBUG_H
#define __WFC_DEBUG_H

#include <stdio.h>
#include "wfc.h"

#define DEBUG       /* uncomment this for debugging output */
#define SPY         /* enable API spying */

VOID aprintf(const char *fmt, ...);  /* API logging */
VOID dprintf(const char *fmt, ...);  /* debugging   */

#ifndef SPY
#define aprintf      while(0) dprintf
#endif

#ifndef DEBUG
#define dprintf      while(0) dprintf
#endif

#endif __WFC_DEBUG__H