/*
 * module.h
 * Copyright 1996, Onno Hovers, All rights reserved
 */
 
#ifndef __MODULE_H
#define __MODULE_H

#ifndef __WIN32_TYPES_H
#include <win32/types.h>
#endif  __WIN32_TYPES_H

#ifndef __WIN32_DEFS_H
#include <win32/defs.h>
#endif  __WIN32_DEFS_H

#ifdef __cplusplus
extern "C" {
#endif

#define MODULE_PE        0x4550
#define MODULE_NE        0x454E
#define MODULE_LX        0x584C

typedef struct __MODULE
{
  struct __MODULE *Next;
  UWORD            Type;
  UWORD            Flags;
  UWORD            FileNameSize;
  UWORD            LoadNameSize;
  PSTR             FileName;
  PSTR             LoadName;
  ULONG            Usage;
  ULONG            BaseAddress;
} MODULE;

#ifdef __cplusplus
}
#endif

#endif  __MODULE_H