/*
 * win32/security.h
 * Copyright (C) 1996, Onno Hovers, All rights reserved
 * 
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; see the file COPYING.LIB. If
 * not, write to the Free Software Foundation, Inc., 675 Mass Ave,
 * Cambridge, MA 02139, USA.  
 */ 
 
#ifndef __WIN32_SECURITY_H
#define __WIN32_SECURITY_H

#ifndef __WIN32_DEFINES_H
#include <win32/defines.h>
#endif  

#ifndef __WIN32_KERNEL_H
#include <win32/kernel.h>
#endif  

#ifdef __cplusplus
extern "C" {
#endif

typedef struct __GENERIC_MAPPING
{
   ACCESS_MASK   GenericRead;
   ACCESS_MASK   GenericWrite;
   ACCESS_MASK   GenericExecute;
   ACCESS_MASK   GenericAll;
} GENERIC_MAPPING;

typedef struct __GENERIC_MAPPING *PGENERIC_MAPPING;

VOID WINAPI MapGenericMask(PDWORD paccess, PGENERIC_MAPPING pgenmap);

#ifdef __cplusplus
}
#endif

#endif /* __WIN32_ACCESS_H */