#
# kernel/ilocked.S
#

.globl InterlockedIncrement
.globl InterlockedDecrement
.globl InterlockedExchange

InterlockedIncrement:
		xorl	%eax,%eax
		movl	4(%ebp),%ecx	
                lock 
		incl	(%ecx)          
                je	incequal
                jl	incless
                incl	%eax
                ret     $4
incless:
		dec     %eax    
                ret     $4                     
incequal:
		ret     $4 

InterlockedDecrement:
		xorl	%eax,%eax
		movl	4(%ebp),%ecx	
                lock 
		decl	(%ecx)          
                je	decequal
                jl	decless
                incl	%eax
                ret     $4
decless:
		dec     %eax    
                ret     $4                     
decequal:
		ret     $4 

InterlockedExchange:
		movl	4(%ebp),%eax	
		movl	8(%ebp),%ecx
                lock 
		xchgl	%eax,(%ecx)     
		ret     $8
