/*
 * segment.h
 * Copyright (C) 1996, Onno Hovers, All rights reserved
 *
 */

#ifndef __LDT_H
#define __LDT_H

#include<win32/defines.h>

#ifdef __cplusplus
extern "C" {
#endif

#define SEGMENT_DATA     0
#define SEGMENT_STACK    1
#define SEGMENT_CODE     2
#define SEGMENT_TYPE     3

#define SEGMENT_16BIT    4
#define SEGMENT_32BIT    0

#define SEGMENT_READONLY 8
#define SEGMENT_WRITABLE 0

typedef struct __LDT_ENTRY *PLPT_ENTRY;

INT   __SegmentAlloc(LPVOID addr, DWORD size, DWORD flags);
BOOL  __SegmentFree(INT seg);

#ifdef __cplusplus
}
#endif

#endif __LDT_H 