/*
 *  run.h
 *  Copyright (c) 1996, Onno Hovers, All rights reserved
 *
 */

#ifndef __RUN_H
#define __RUN_H

#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <win32/defines.h>
#include <win32/kernel.h>
#include <win32/ntimage.h>
#include <win32/error.h>
#include <i386/segment.h>
#include "wfc.h"
#include "peload.h"
#include "teb.h"

VOID NORETURN __CallInitThread(PVOID proc, ULONG param );
INT __CallExe(VOID);
INT __CallDll(PPELOAD_FILE ppefile, INT reason, INT reserved);
INT runExit(INT exitcode);
INT runInitProcess(VOID);
HMODULE runLoadLibraryA(LPCSTR filename);
PVOID runGetProcAddressA(HMODULE hmodule, LPCSTR pproc);
BOOL runFreeLibrary(HMODULE hmodule);

#endif /* __RUN_H */